# Summary

- [Intro](./intro.md)
- [Hardware](./hardware.md)
- [Beginner Workbook](./beginner-workbook.md)
    - [Parts of an Embedded Program](./parts-embedded-programm.md)
    - [Building an Embedded Program](./building-programm.md)
    - [Flashing the Program](./flashing-programm.md)
    - [Viewing Logs](./viewing-logs.md)
    - [Runnging the Program from VS Code](./running-from-vsc.md)
    - [Panicking](./panicking.md)
    - [Using a Hardware Abstraction Layer](./using-hal.md)
    - [Timers and Time](./time.md)
    - [nRF52840 Dongle](./dongle.md)
    - [Radio Out](./radio-out.md)
    - [Radio In ](./radio-in.md)
    - [Radio Puzzle](./radio-puzzle.md)
    - [Starting a Project from Scatch](./from-scatch.md)
- [Advanced Workbook](./advanced-workbook.md)
    - [Code Organization](./code-organisation.md)
    - [Listing USB Devices](./listing-usb-devices.md)
    - [Hello, world!](./hello-world.md)
    - [Checking the API documentation](./api-documentation.md)
    - [RTIC hello](./rtic-hello.md)
    - [Dealing with Registers](./dealing-with-registers.md)
    - [Event Handling](./event-handling.md)
    - [Task State](./task-state.md)
    - [USB Enumeration](./usb-enumeration.md)
    - [Dealing with USB Events](./usb-events.md)
    - [USB Endpoints](./usb-endpoints.md)
    - [Control Transfers](./control-transfers.md)
    - [SETUP Stage](./setup-stage.md)
    - [Device Descriptor](./device-descriptor.md)
    - [DATA Stage](./data-stage.md)
    - [DMA](./dma.md)
    - [More Standard Requests](./more-standart-requests.md)
    - [Error Handling](./error-handling.md)
    - [Device State](./device-state.md)
    - [SET_ADDRESS](./set-address.md)
    - [GET_DESCRIPTOR Configuration](./get-descriptor-config.md)
    - [Interface](./interface.md)
    - [Configuration Descriptor](./configuration-descriptor.md)
    - [Interface Descriptor](./interface-descriptor.md)
- [References and Ressources](./references-ressources.md)